<?php

defined('CONF_URL_APP') or die;

c_include('usuario');

/**

 * @version		$Id: default.php 20196 2011-01-09 02:40:25Z ian $

 * @package		Mideas.Widget

 * @subpackage	mod_custom

 * @copyright	Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.

 * @license		GNU General Public License version 2 or later; see LICENSE.txt

 */

 $wtitle = SistemaIdioma::Imprimir($widget->titulo);

 

 global $eventos;

 

 $remitente = 0;

 $destinatarios = $params['destinatarios'];

 $categorias = $params['categoria'];

 

 if ($params['autodetectar_remitente'] == '1' && Usuario::isLoged()){

	 $usr_obj = Usuario::getLoged();

	 $remitente = Usuario::getLoged()->id;

 } else {

	 $remitente = $params['remitente'];

	 if (empty($remitente)){

		 return false;

	 }

	 $usr_obj = new Usuario();

	 $usr_obj->setid(substr($remitente, 1));

	 $usr_obj = $usr_obj->BuscarId();

	 $remitente = $usr_obj->id;

 }

 

 if (is_object($eventos->evento->objeto)){

 

?>



<div class="modal fade modal-primary" id="contenido_ilegal_evento" tabindex="-1" role="dialog" aria-labelledby="contenido_ilegal_evento_Label" aria-hidden="true">

  <div class="modal-dialog">

    <div class="modal-content">

      <div class="modal-header">

        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>

        <?php if (!empty($wtitle)){?>

        <h4 class="modal-title" id="contenido_ilegal_evento_Label"><?php echo $wtitle; ?></h4>

        <?php } else {?>

        <h4 class="modal-title" id="contenido_ilegal_evento_Label"><?php echo __('Denunciar evento'); ?></h4>

        <?php } ?>

        <?php if (isset($mensaje) && !empty($mensaje)){?>

        <p class="<?php echo $mensaje['tipo'];?>"><?php echo $mensaje['txt'];?></p>

        <?php } ?>

      </div>

      <form method="post" action="<?php echo CONF_URL_APP;?>api/mensajes/mensaje/nuevo.system-msg">

        <input type="hidden" name="token" value="<?php echo Helpers::getFormToken();?>" />

        <input type="hidden" name="return" value="<?php echo Helpers::currentUrl();?>" />

        <input name="accion" type="hidden" value="nuevo" />

        <input name="estado" type="hidden" value="1" />

        <input name="relacion_items[adjunto][]" type="hidden" value="ext_eventos.<?php echo $eventos->evento->objeto->id;?>" />

        <input type="hidden" name="id_usuario" value="<?php echo $remitente;?>" />

        <?php if (is_array($destinatarios) && sizeof($destinatarios) > 0){?>

        <?php foreach ($destinatarios as $dt){?>

        <input type="hidden" name="destinatarios[]" value="<?php echo $dt;?>" />

        <?php } ?>

        <?php } ?>

        <?php if (is_array($categorias) && sizeof($categorias) > 0){?>

        <?php foreach ($categorias as $ct){?>

        <input type="hidden" name="categorias[]" value="<?php echo $ct;?>" />

        <?php } ?>

        <?php } ?>

        <?php if (is_object($eventos->evento)){

			$titulo_msg = sprintf(__('Evento con contenido ilegal o inapropiado: %s'), SistemaIdioma::Imprimir($eventos->evento->titulo));

		} else {

			$titulo_msg = __('Denunciar evento');

		}?>

        <input type="hidden" name="titulo" id="titulo_denuncia_evento" value="<?php echo $titulo_msg;?>" />

        <input type="hidden" name="msg_ok" value="<?php echo __('Hemos recibido tu denuncia. Revisaremos tu solicitud y tomaremos las medidas oportunas.');?>" />

        <input type="hidden" name="msg_ko" value="<?php echo __('Se ha producido un error al intentar enviar la denuncia. Por favor, vuelve a intentarlo pasados unos minutos.');?>" />

        <input type="hidden" name="pre_contenido" id="pre_contenido_denuncia_evento" value="<?php echo htmlentities(sprintf(__('<p>El usuario <a href="%s">%s</a> ha denunciado que el evento <a href="%s">%s</a> tiene contenido ilegal o inapropiado.</p>'), $usr_obj->getLink(), $usr_obj->getnombre_completo(), $eventos->evento->objeto->getLink(), SistemaIdioma::Imprimir($eventos->evento->titulo)));?>" />

        <div class="modal-body">

          <div class="row">

            <div class="col-sm-4">

              <div align="center"> <a href="javascript:;" class="btn btn-light btn-lg btn-block selecciona_tipo_denuncia_evento active" data-titulo="<?php echo sprintf(__('Evento con contenido ilegal o inapropiado: %s'), SistemaIdioma::Imprimir($eventos->evento->titulo));?>" data-pre_contenido="<?php echo htmlentities(sprintf(__('<p>El usuario <a href="%s">%s</a> ha denunciado que el evento <a href="%s">%s</a> tiene contenido ilegal o inapropiado.</p>'), $usr_obj->getLink(), $usr_obj->getnombre_completo(), $eventos->evento->objeto->getLink(), SistemaIdioma::Imprimir($eventos->evento->titulo)));?>" data-texto-descripcion="<?php echo __("Quiero denunciar el siguiente evento por contenido ilegal o inapropiado.");?>"> <i class="fa fa-exclamation-triangle" style="font-size: 36px;"></i><br />

                <?php echo __('Inapropiado');?> </a> </div>

            </div>

            <div class="col-sm-4">

              <div align="center"> <a href="javascript:;" class="btn btn-light btn-lg btn-block selecciona_tipo_denuncia_evento" data-titulo="<?php echo sprintf(__('Evento duplicado: %s'), SistemaIdioma::Imprimir($eventos->evento->titulo));?>" data-pre_contenido="<?php echo htmlentities(sprintf(__('<p>El usuario <a href="%s">%s</a> ha denunciado que el evento <a href="%s">%s</a> está duplicado.</p>'), $usr_obj->getLink(), $usr_obj->getnombre_completo(), $eventos->evento->objeto->getLink(), SistemaIdioma::Imprimir($eventos->evento->titulo)));?>" data-texto-descripcion="<?php echo __("Quiero denunciar el siguiente evento por estar duplicado.");?>"> <i class="fa fa-tags" style="font-size: 36px;"></i><br />

                <?php echo __('Duplicado');?> </a> </div>

            </div>

            <div class="col-sm-4">

              <div align="center"> <a href="javascript:;" class="btn btn-light btn-lg btn-block selecciona_tipo_denuncia_evento" data-titulo="<?php echo sprintf(__('Evento con datos incorrectos: %s'), SistemaIdioma::Imprimir($eventos->evento->titulo));?>" data-pre_contenido="<?php echo htmlentities(sprintf(__('<p>El usuario <a href="%s">%s</a> ha denunciado que el evento <a href="%s">%s</a> tiene datos incorrectos.</p>'), $usr_obj->getLink(), $usr_obj->getnombre_completo(), $eventos->evento->objeto->getLink(), SistemaIdioma::Imprimir($eventos->evento->titulo)));?>" data-texto-descripcion="<?php echo __("Quiero denunciar el siguiente evento por tener datos incorrectos.");?>"> <i class="fa fa-pencil" style="font-size: 36px;"></i><br />

                <?php echo __('Datos incorrectos');?> </a> </div>

            </div>

          </div>

          <?php $GLOBALS['AppDoc']->addScriptDeclaration('

			$(document).ready(function() {

                $(".selecciona_tipo_denuncia_evento").click(function() {

                    var este = $(this);

					var titulo_input = $("#titulo_denuncia_evento");

					var pre_contenido_input = $("#pre_contenido_denuncia_evento");

					var titulo_valor = este.data("titulo");

					var pre_contenido_valor = este.data("pre_contenido");

					var texto_descripcion = este.data("texto-descripcion");

					

					titulo_input.val(titulo_valor);

					pre_contenido_input.val(pre_contenido_valor);

					

					$("#descripcion_denuncia_evento").html(texto_descripcion);

					

					$(".selecciona_tipo_denuncia_evento").removeClass("active");

					este.addClass("active");

                });

            });');?>

          <div class="row">

            <div class="col-md-12">

              <div class="alert alert-info" style="margin-top:20px;">

                <p id="descripcion_denuncia_evento"><?php echo __("Quiero denunciar el siguiente evento por contenido ilegal o inapropiado.");?></p>

              </div>

              <div class="form-group">

                <textarea class="form-control" id="razones_textarea" name="contenido" placeholder="<?php echo __('¿Algún comentario más?');?>"></textarea>

              </div>

            </div>

          </div>

        </div>

        <div class="modal-footer">

          <div class="row">

            <div class="col-md-12">

              <p align="right">

                <button type="button" class="btn btn-default" data-dismiss="modal" aria-hidden="true"><?php echo __('Cancelar'); ?></button>

                <button type="submit" class="btn btn-primary"><?php echo __('Enviar'); ?></button>

              </p>

            </div>

          </div>

        </div>

      </form>

      <!-- /.modal-content --> 

    </div>

    <!-- /.modal-dialog --> 

  </div>

  <!-- /.modal --> 

</div>

<?php } ?>

