<?php

defined('CONF_URL_APP') or die;

/**

 * @version		$Id: default.php 20196 2011-01-09 02:40:25Z ian $

 * @package		Mideas.Widget

 * @subpackage	mod_custom

 * @copyright	Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.

 * @license		GNU General Public License version 2 or later; see LICENSE.txt

 */

 

 if ($mensajes == 0)

 	$com_count = 0;

elseif (is_array($mensajes))

	$com_count = count($mensajes);

else

	$com_count = 0;

 

?>

<!-- Post Comments -->

<?php if (($opciones_mensajes['general']['mostrar_identificados'] == '0') || (Usuario::isLoged()!=false && $opciones_mensajes['general']['mostrar_identificados'] == '1')){?>



<div class="dark_bar post_comments">

  <h2 class="left"><?php echo $com_count;?> <?php echo __('mensajes');?></h2>

  <?php if (($opciones_mensajes['general']['permitir_identificados'] == '0') || (Usuario::isLoged()!=false && $opciones_mensajes['general']['permitir_identificados'] == '1')){?>

  <a href="javascript:;" class="btn right" id="scroll_to_comment_form"> <span><?php echo __('Deja un mensaje');?></span> </a>

  <?php } ?>

  <div class="clear"></div>

  <?php if ($com_count > 0){?>

  <!-- Comment Entries -->

  <ul class="comments">

    <?php foreach ($mensajes as $mensaje){?>

    <!-- Comment Entry -->

    <li>

      <div class="entry">

        <div class="author_thumb"> <img src="<?php echo CONF_URL_APP;?>image.php/images/iconos/anonimo.png?width=54&height=54&cropratio=1:1&image=<?php echo CONF_URL_APP;?>images/iconos/anonimo.png" alt="<?php echo $mensaje->getcreador(true);?>" width="54" height="54" /> </div>

        <div class="comment_info"> <a href="javascript:;" class="author_name"><?php echo $mensaje->getcreador(true);?></a> <span class="timespan"><?php echo strftime('%d-%m-%Y %H:%M', strtotime($mensaje->fecha));?></span>

          <div class="clear"></div>

          <p><strong><?php echo $mensaje->asunto;?></strong><br />

            <?php echo $mensaje->contenido;?></p>

          <?php if (Usuario::getLogedId() != false && Usuario::getLogedId() == $mensaje->creador && $mensaje->creador != 0){?>

          <a href="javascript:;" title="<?php echo __('Borrar mensaje');?>" class="comment_delete"><?php echo __('Borrar mensaje');?></a>

          <?php } ?>

        </div>

        <div class="clear"></div>

      </div>

    </li>

    <!-- End of: Comment Entry -->

    <?php } ?>

  </ul>

  <!-- End of: Comment Entries -->

  <?php } else {?>

  <p align="center">

    <?php __('No hay mensajes');?>

  </p>

  <?php } ?>

  <?php if (($opciones_mensajes['general']['permitir_identificados'] == '0') || (Usuario::isLoged()!=false && $opciones_mensajes['general']['permitir_identificados'] == '1')){?>

  <div class="comments_divider" id="comment_form"></div>

  <h2><?php echo __('Deja un mensaje');?></h2>

  

  <!-- Post Comment Form -->

  <form action="<?php echo CONF_URL_APP.CONF_DIR_EXTENSIONS;?>/ext_mensajes/tools/new_comment.php" enctype="multipart/form-data" method="post" class="validate_form">

    <?php if (Usuario::isLoged()) $id_creador = Usuario::getLogedId(); else $id_creador = 0; ?>

    <?php if (Usuario::isLoged()) $nombre_creador = Usuario::getLoged()->nombre; else $nombre_creador = ''; ?>

    <?php if (Usuario::isLoged()) $email_creador = Usuario::getLoged()->email; else $email_creador = ''; ?>

    <?php if (!empty($parametros['categoria'])){?>

    <input type="hidden" name="categoria" value="<?php echo $parametros['categoria'][0];?>" />

    <?php } ?>

    <input type="hidden" name="creador" value="<?php echo $id_creador;?>" />

    <input type="hidden" name="extension" value="<?php echo $_GET['extension'];?>" />

    <input type="hidden" name="vista" value="<?php echo $_GET['vista'];?>" />

    <?php if (empty($_GET['id'])) $id_elemento = 0; else $id_elemento = $_GET['id']; ?>

    <input type="hidden" name="id_elemento" value="<?php echo $id_elemento;?>" />

    <input type="text" class="input required" name="subject" id="subject" placeholder="<?php echo __('Asunto');?>" style="width: 569px;" />

    <br />

    <div class="form_left">

      <input type="text" class="input required" name="name" id="name" placeholder="<?php echo __('Nombre');?>" value="<?php echo $nombre_creador;?>" />

      <input type="text" class="input required email" name="email" id="email" placeholder="<?php echo __('Email');?>" value="<?php echo $email_creador;?>" />

    </div>

    <div class="form_right">

      <textarea class="input required" name="comment" id="comment" rows="6" cols="50" placeholder="<?php echo __('Mensaje');?>"></textarea>

    </div>

    <div class="clear"></div>

    <p class="comment_warn">* <?php echo __('Tu email no se publicará');?></p>

    <button type="submit" name="add_comment" id="add_comment" class="btn right medium"> <span><?php echo __('Enviar');?></span> </button>

    <div class="clear"></div>

  </form>

  <!-- End of: Post Comment Form -->

  <?php } ?>

</div>

<!-- End of: Post Comments -->

<?php } ?>

<div class="clear"></div>

