<?php

defined('CONF_URL_APP') or die;

c_include('usuario');

/**

 * @version		$Id: default.php 20196 2011-01-09 02:40:25Z ian $

 * @package		Mideas.Widget

 * @subpackage	mod_custom

 * @copyright	Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.

 * @license		GNU General Public License version 2 or later; see LICENSE.txt

 */

 $wtitle = SistemaIdioma::Imprimir($widget->titulo);

 

 global $eventos;

 

 $remitente = 0;

 $destinatarios = $params['destinatarios'];

 $categorias = $params['categoria'];

 

 if ($params['autodetectar_remitente'] == '1' && Usuario::isLoged()){

	 $usr_obj = Usuario::getLoged();

	 $remitente = Usuario::getLoged()->id;

 } else {

	 $remitente = $params['remitente'];

	 $usr_obj = new Usuario();

	 $usr_obj->setid(substr($remitente, 1));

	 $usr_obj = $usr_obj->BuscarId();

	 $remitente = $usr_obj->id;

 }

 

?>

<?php if (Usuario::isLoged() && strtotime(strftime("%Y-%m-%d", strtotime($eventos->evento->objeto->fecha_inicio))) >= strtotime(strftime("%Y-%m-%d", time()))){

		$seguidores = Usuario::getLoged()->get_seguidores();

		

		$seguidores_evento = $eventos->evento->objeto->get_seguidores(0,0);

		

		$seguidores_evento_ids = array();

		if (is_array($seguidores_evento) && sizeof($seguidores_evento) > 0){

			foreach ($seguidores_evento as $se){

				if (!in_array($se->id, $seguidores_evento_ids)){

					$seguidores_evento_ids[] = $se->id;

				}

			}

		}

		

		if (is_array($seguidores) && sizeof($seguidores)>0){

		?>



<div class="modal fade" id="invitar_amigos_evento">

  <form method="post" action="<?php echo Helpers::resolveLink(false, 'ext_mensajes', 'nuevo_mensaje', __('Redactar_nuevo_mensaje'));?>">

    <div class="modal-dialog">

      <div class="modal-content">

        <div class="modal-header">

          <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>

          <h4 class="modal-title"><?php echo __('Invitar amigos a este evento');?></h4>

        </div>

        <div class="modal-body">

          <input type="hidden" name="token" value="<?php echo Helpers::getFormToken();?>" />

          <input type="hidden" name="return" value="<?php echo Helpers::currentUrl();?>" />

          <input name="accion" type="hidden" value="nuevo" />

          <input type="hidden" name="id_usuario" value="<?php echo $remitente;?>" />

          <?php if (is_array($destinatarios) && sizeof($destinatarios) > 0){?>

          <?php foreach ($destinatarios as $dt){?>

          <input type="hidden" name="destinatarios[]" value="<?php echo $dt;?>" />

          <?php } ?>

          <?php } ?>

          <?php if (is_array($categorias) && sizeof($categorias) > 0){?>

          <?php foreach ($categorias as $ct){?>

          <input type="hidden" name="categorias[]" value="<?php echo $ct;?>" />

          <?php } ?>

          <?php } ?>

          <?php if (is_object($eventos->evento)){

							$contenido_msg = sprintf(__("<b>%s</b> te ha invitado al evento <a href=\"%s\"><b>%s</b></a>"), Usuario::getLoged()->getnombre_completo(), $eventos->evento->objeto->getLink(), SistemaIdioma::Imprimir($eventos->evento->titulo));

							$titulo_msg = sprintf(__("%s te ha invitado al evento %s"), Usuario::getLoged()->getnombre_completo(), SistemaIdioma::Imprimir($eventos->evento->titulo));

						} else {

							$contenido_msg = __('Te han invitado a un evento');

							$titulo_msg = __('Te han invitado a un evento');

						}?>

          <input type="hidden" name="titulo" value="<?php echo $titulo_msg;?>" />

          <input type="hidden" name="contenido" value="<?php echo htmlentities($contenido_msg, ENT_QUOTES, 'UTF-8', false);?>" />

          <input type="hidden" name="msg_ok" value="<?php echo __('Tus invitaciones se han enviado correctamente');?>" />

          <input type="hidden" name="msg_ko" value="<?php echo __('Se ha producido un error al intentar enviar las invitaciones. Por favor, vuelve a intentarlo pasados unos minutos.');?>" />

          <div class="row" style="height:250px; overflow-y:auto;">

            <?php foreach ($seguidores as $seg){

				  if (!empty($seg->imagen)){

					$imagen_seg = CONF_URL_APP.'image.php/'.$seg->imagen.'?width=50&height=50&cropratio=1:1&image='.CONF_URL_APP.$seg->imagen;

				} else {

					$imagen_seg= CONF_URL_APP . 'image.php/'.$AppTpl->params['usuario_noimage'].'?width=50&height=50&cropratio=1:1&image=' . CONF_URL_APP . $AppTpl->params['usuario_noimage'];

				}

				

				if (!in_array($seg->id, $seguidores_evento_ids)){

				  ?>

            <div class="col-sm-6">

              <div class="panel panel-default">

                <label class="panel-body">

                  <input type="checkbox" name="destinatarios[]" value="-<?php echo $seg->id;?>" style="vertical-align: middle;margin-top: 0;" />

                  <img src="<?php echo $imagen_seg;?>" /> <?php echo $seg->getnombre_completo();?></label>

              </div>

            </div>

            <?php } else { ?>

            <div class="col-sm-6">

              <div class="panel panel-default" title="<?php echo sprintf(__('%s ya está apuntado a este evento'), $seg->getnombre_completo());?>">

                <label class="panel-body">

                  <input type="checkbox" disabled="disabled" checked="checked" value="-<?php echo $seg->id;?>" style="vertical-align: middle;margin-top: 0;" />

                  <img src="<?php echo $imagen_seg;?>" /> <?php echo $seg->getnombre_completo();?></label>

              </div>

            </div>

            <?php } ?>

            <?php } ?>

          </div>

        </div>

        <div class="modal-footer">

          <button type="button" class="btn btn-default" data-dismiss="modal"><?php echo __('Cerrar');?></button>

          <button type="submit" class="btn btn-primary"><i class="fa fa-envelope"></i> <?php echo __('Enviar invitaciones');?></button>

        </div>

      </div>

      <!-- /.modal-content --> 

    </div>

    <!-- /.modal-dialog -->

  </form>

</div>

<!-- /.modal -->

<?php } } ?>

