<?php

defined('CONF_URL_APP') or die;

c_include('usuario');

/**

 * @version		$Id: default.php 20196 2011-01-09 02:40:25Z ian $

 * @package		Mideas.Widget

 * @subpackage	mod_custom

 * @copyright	Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.

 * @license		GNU General Public License version 2 or later; see LICENSE.txt

 */

 $wtitle = SistemaIdioma::Imprimir($widget->titulo);

 $destinatarios = array();

 

 $instancia = ItemModel::getInstancia($_GET['extension']);

 if ($instancia instanceof ItemModel && !empty($_GET['id']) && $instancia->get('ext_vista_item') == $_GET['vista']){

	 $instancia->setid($_GET['id']);

	 if ($instancia = $instancia->BuscarId()){

		 $propietario = $instancia->getpropietario();

		 $destinatarios[] = $propietario;

	 } else {

		 $instancia = false;

	 }

 } else {

	 $instancia = false;

 }

 

 $remitente = 0;

 if (sizeof($destinatarios) == 0){

 	$destinatarios = $params['destinatarios'];

 }

 if (!is_array($destinatarios) || sizeof($destinatarios) == 0){

	 return false;

 }

 $categorias = $params['categoria'];

 

 if ($params['autodetectar_remitente'] == '1' && Usuario::isLoged()){

	 $usr_obj = Usuario::getLoged();

	 $remitente = Usuario::getLoged()->id;

 } else {

	 $remitente = $params['remitente'];

	 if (empty($remitente)){

		 return false;

	 }

	 $usr_obj = new Usuario();

	 $usr_obj->setid(substr($remitente, 1));

	 $usr_obj = $usr_obj->BuscarId();

	 $remitente = $usr_obj->id;

 }

?>

<?php /*?><ul class="nav navbar-nav pull-right">

<li><a href="#contenido_ilegal_sitio" data-toggle="modal"><?php echo __('Denunciar sitio');?></a></li>

</ul><?php */?>



<div class="modal fade modal-primary" id="frm_msg_<?php echo Helpers::parseaTexto($widget->nombre);?>" tabindex="-1" role="dialog" aria-labelledby="contenido_ilegal_sitio_Label" aria-hidden="true">

  <div class="modal-dialog">

    <div class="modal-content">

      <div class="modal-header">

        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>

        <?php if (!empty($wtitle)){?>

        <h4 class="modal-title"><?php echo $wtitle; ?></h4>

        <?php } else {?>

        <h4 class="modal-title"><?php echo __('Contactar'); ?></h4>

        <?php } ?>

        <?php if (isset($mensaje) && !empty($mensaje)){?>

        <p class="<?php echo $mensaje['tipo'];?>"><?php echo $mensaje['txt'];?></p>

        <?php } ?>

      </div>

      <form method="post" action="<?php echo CONF_URL_APP;?>api/mensajes/mensaje/nuevo.system-msg">

        <input type="hidden" name="token" value="<?php echo Helpers::getFormToken();?>" />

        <input type="hidden" name="return" value="<?php echo Helpers::currentUrl();?>" />

        <input name="accion" type="hidden" value="nuevo" />

        <input name="estado" type="hidden" value="1" />

        <?php if ($instancia instanceof ItemModel){?>

        <input name="relacion_items[adjunto][]" type="hidden" value="<?php echo $instancia->get('ext_folder');?>.<?php echo $instancia->id;?>" />

        <?php } ?>

        <?php if (is_array($destinatarios) && sizeof($destinatarios) > 0){?>

        <?php foreach ($destinatarios as $dt){?>

        <input type="hidden" name="destinatarios[]" value="<?php echo $dt;?>" />

        <?php } ?>

        <?php } ?>

        <?php if (is_array($categorias) && sizeof($categorias) > 0){?>

        <?php foreach ($categorias as $ct){?>

        <input type="hidden" name="categorias[]" value="<?php echo $ct;?>" />

        <?php } ?>

        <?php } ?>

        <?php if (is_object($instancia)){

			$titulo_msg = sprintf(__('Contacto recibido desde %s'), $instancia->titulo_formateado);

		} else {

			$titulo_msg = __('Contacto recibido');

		}?>

        <input type="hidden" name="titulo" value="<?php echo $titulo_msg;?>" />

        <input type="hidden" name="msg_ok" value="<?php echo __('Tu mensaje se ha enviado correctamente.');?>" />

        <input type="hidden" name="msg_ko" value="<?php echo __('Se ha producido un error al intentar enviar el mensaje.');?>" />

        <?php if (is_object($instancia)){?>

        <input type="hidden" name="pre_contenido" id="pre_contenido_denuncia_sitio" value="<?php echo htmlentities(sprintf(__('<p>El usuario <a href="%s">%s</a> te ha enviado un mensaje desde <a href="%s">%s</a>.</p>'), $usr_obj->getLink(), $usr_obj->getnombre_completo(), $instancia->url_formateada, $instancia->titulo_formateado));?>" />

        <?php } ?>

        <div class="modal-body">

          <div class="row">

            <div class="col-md-12">

              <?php if (is_object($instancia)){?>

              <div class="alert alert-info">

                <p id="descripcion_denuncia_sitio"><?php echo sprintf(__("Quiero ponerme en contacto con el propietario de <em>%s</em>."), $instancia->titulo_formateado);?></p>

              </div>

              <?php } ?>

              <div class="form-group">

                <textarea class="form-control" id="razones_textarea" name="contenido" placeholder="<?php echo __('Escribe tu mensaje');?>"></textarea>

              </div>

            </div>

          </div>

        </div>

        <div class="modal-footer">

          <div class="row">

            <div class="col-md-12">

              <p align="right">

                <button type="button" class="btn btn-default" data-dismiss="modal" aria-hidden="true"><?php echo __('Cancelar'); ?></button>

                <button type="submit" class="btn btn-primary"><?php echo __('Enviar'); ?></button>

              </p>

            </div>

          </div>

        </div>

      </form>

      <!-- /.modal-content --> 

    </div>

    <!-- /.modal-dialog --> 

  </div>

  <!-- /.modal --> 

</div>

